Bug 11011 - rephrase "in keyword" in OPAC authority search
Summary: rephrase "in keyword" in OPAC authority search
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-07 18:35 UTC by mathieu saby
Modified: 2016-12-05 21:23 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11011: Rephrasing 'in keyword' in OPAC authority search (1.67 KB, patch)
2015-06-09 20:43 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11011: Rephrasing 'in keyword' in OPAC authority search (1.74 KB, patch)
2015-06-09 21:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11011: Rephrasing 'in keyword' in OPAC authority search (1.79 KB, patch)
2015-06-18 14:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-10-07 18:35:56 UTC
In OPAC authority search, you can choose to search "in keyword". I am not fluent in english but I find this wording awkward (and the french translation too, of course)

M. Saby
Comment 1 Fridolin SOMERS 2014-10-23 11:10:01 UTC
Indeed.
French translation is "Tous les mots" meaning "All words".
Comment 2 Katrin Fischer 2015-02-21 23:41:10 UTC
I am not sure what is meant here - maybe it 'in the complete record' ?
Comment 3 Katrin Fischer 2015-06-07 10:22:13 UTC
Adding Nicole, hoping she has a good suggestion.
Comment 4 Aleisha Amohia 2015-06-09 20:43:51 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-06-09 21:48:24 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-06-16 17:21:12 UTC
Waiting for Nicole's feedback before passing QA on it.
Comment 7 Nicole C. Engard 2015-06-18 13:57:26 UTC
Sorry for my delay all - I think 'in the complete record' is a-ok.  'in keyword' is confusing and should just say 'keyword' if it's used, but I like 'in the complete record' :)

Nicole
Comment 8 Jonathan Druart 2015-06-18 14:37:32 UTC
Created attachment 40309 [details] [review]
Bug 11011: Rephrasing 'in keyword' in OPAC authority search

Using 'in the complete record' rather than 'in keyword'. I think this fits well as it seems that this means the search looks anywhere in the record.

To test:

1) In the OPAC, click on Authority Search
2) Notice that in the drop-down menu for the 'Where:' field, there is an 'in keyword' option.
3) Apply patch
4) Now says 'in the complete record'

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 9 Tomás Cohen Arazi 2015-06-19 14:47:11 UTC
Patch pushed to master.

Thanks Aleisha!
Comment 10 Chris Cormack 2015-06-25 21:10:44 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 11 Liz Rea 2015-07-20 21:56:55 UTC
Pushed to 3.18.x, will be in 3.18.09
Comment 12 Mason James 2015-07-25 10:32:09 UTC
Contains string changes, holding till 3.16.14